/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.promotions;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.EOCorps;
import org.cocktail.mangue.modele.grhum.EOGrade;
import org.cocktail.mangue.modele.grhum.EOPassageChevron;
import org.cocktail.mangue.modele.mangue.EOCorpsPromouvable;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class PromotionsChevronsView extends javax.swing.JPanel {


	private static final long serialVersionUID = -7770031412248058797L;

	protected EODisplayGroup eodCorps, eodGrade, eodPassage, eodProm;
	protected ZEOTable myEOTableCorps, myEOTableGrade, myEOTablePassage, myEOTableProm;
	protected ZEOTableModel myTableModelCorps, myTableModelGrade, myTableModelPassage, myTableModelProm;
	protected TableSorter myTableSorterCorps, myTableSorterGrade, myTableSorterPassage, myTableSorterProm;

    /** Creates new form TemplateJPanel */
    public PromotionsChevronsView(EODisplayGroup dgCorps, EODisplayGroup dgGrade,EODisplayGroup dgPassage,EODisplayGroup dgProm) {

        eodCorps = dgCorps;
        eodGrade = dgGrade;
        eodPassage  = dgPassage;
        eodProm = dgProm;
                
        initComponents();
        initGui();
        
    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTablePromouvables = new javax.swing.JPanel();
        tfMessage = new javax.swing.JLabel();
        btnPromouvoir = new javax.swing.JButton();
        viewTableCorps = new javax.swing.JPanel();
        viewTableGrades = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        tfPeriodeDebut = new javax.swing.JTextField();
        tfPeriodeFin = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        typesPeriode = new javax.swing.JComboBox();
        viewTablePassages = new javax.swing.JPanel();
        btnListe = new javax.swing.JButton();
        checkNonPromus = new javax.swing.JCheckBox();
        btnExporter = new javax.swing.JButton();
        btnImprimer = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        btnImprimerArrete = new javax.swing.JButton();

        viewTablePromouvables.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTablePromouvables.setLayout(new java.awt.BorderLayout());

        tfMessage.setForeground(new java.awt.Color(102, 102, 102));
        tfMessage.setText("Agents");

        btnPromouvoir.setText("Promouvoir");
        btnPromouvoir.setToolTipText("Préparation des données CIR");

        viewTableCorps.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableCorps.setLayout(new java.awt.BorderLayout());

        viewTableGrades.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableGrades.setLayout(new java.awt.BorderLayout());

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("PERIODE DU");

        tfPeriodeDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfPeriodeDebut.setToolTipText("Date de début de période");

        tfPeriodeFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfPeriodeFin.setToolTipText("Date de fin de période");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("AU");

        typesPeriode.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        viewTablePassages.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTablePassages.setLayout(new java.awt.BorderLayout());

        btnListe.setText("Liste des Promouvables");
        btnListe.setToolTipText("Calculer la liste des promouvables");

        checkNonPromus.setText("Uniquement pas encore promus");

        btnExporter.setToolTipText("Export des données");

        btnImprimer.setToolTipText("Imprimer la liste des promouvables");

        jLabel3.setFont(new java.awt.Font("Arial", 0, 18)); // NOI18N
        jLabel3.setForeground(new java.awt.Color(102, 102, 255));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Promotions Chevrons");

        btnImprimerArrete.setToolTipText("Imprimer la liste des promouvables");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTablePromouvables, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 937, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(tfMessage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 255, Short.MAX_VALUE)
                        .add(392, 392, 392)
                        .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnImprimerArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(13, 13, 13)
                        .add(btnPromouvoir, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 166, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfPeriodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 35, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfPeriodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(typesPeriode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 142, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(263, 263, 263)
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 206, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(viewTableCorps, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 350, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTableGrades, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 319, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTablePassages, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 256, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(checkNonPromus, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 186, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(btnListe, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 246, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel1)
                        .add(tfPeriodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel2)
                        .add(tfPeriodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(typesPeriode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel3))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTablePassages, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 159, Short.MAX_VALUE)
                    .add(viewTableGrades, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 159, Short.MAX_VALUE)
                    .add(viewTableCorps, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 159, Short.MAX_VALUE))
                .add(8, 8, 8)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnListe, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkNonPromus))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewTablePromouvables, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 278, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(tfMessage)
                    .add(btnPromouvoir, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnImprimerArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnExporter;
    protected javax.swing.JButton btnImprimer;
    protected javax.swing.JButton btnImprimerArrete;
    protected javax.swing.JButton btnListe;
    protected javax.swing.JButton btnPromouvoir;
    private javax.swing.JCheckBox checkNonPromus;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel tfMessage;
    private javax.swing.JTextField tfPeriodeDebut;
    private javax.swing.JTextField tfPeriodeFin;
    private javax.swing.JComboBox typesPeriode;
    protected javax.swing.JPanel viewTableCorps;
    protected javax.swing.JPanel viewTableGrades;
    protected javax.swing.JPanel viewTablePassages;
    protected javax.swing.JPanel viewTablePromouvables;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {

    	btnPromouvoir.setIcon(CocktailIcones.ICON_PARAMS_16);
    	btnListe.setIcon(CocktailIcones.ICON_CALCULATE_16);
    	btnImprimer.setIcon(CocktailIcones.ICON_PRINTER_32);
    	btnImprimerArrete.setIcon(CocktailIcones.ICON_PRINTER_ARRETE_32);
    	btnExporter.setIcon(CocktailIcones.ICON_DISQUETTE_32);

    	
    	typesPeriode.removeAllItems();
    	//typesPeriode.addItem("Toutes Périodes");
    	typesPeriode.addItem("Pour ces dates");
    	typesPeriode.addItem("Année Civile");
    	typesPeriode.addItem("Année Universitaire");    	
    	    	
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eodCorps, EOCorpsPromouvable.CORPS_KEY+"."+EOCorps.LL_CORPS_KEY, "Corps", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	
		myTableModelCorps = new ZEOTableModel(eodCorps, myCols);
		myTableSorterCorps = new TableSorter(myTableModelCorps);

		myEOTableCorps = new ZEOTable(myTableSorterCorps);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterCorps.setTableHeader(myEOTableCorps.getTableHeader());		

		myEOTableCorps.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableCorps.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableCorps.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableCorps.setLayout(new BorderLayout());
		viewTableCorps.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableCorps.removeAll();
		viewTableCorps.add(new JScrollPane(myEOTableCorps), BorderLayout.CENTER);

		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodGrade, EOGrade.LL_GRADE_KEY, "Grades", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	
		myTableModelGrade = new ZEOTableModel(eodGrade, myCols);
		myTableSorterGrade = new TableSorter(myTableModelGrade);

		myEOTableGrade = new ZEOTable(myTableSorterGrade);
		myTableSorterGrade.setTableHeader(myEOTableGrade.getTableHeader());		

		myEOTableGrade.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableGrade.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableGrade.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableGrades.setLayout(new BorderLayout());
		viewTableGrades.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableGrades.removeAll();
		viewTableGrades.add(new JScrollPane(myEOTableGrade), BorderLayout.CENTER);

		// Passage Echelon
		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodPassage, EOPassageChevron.C_ECHELON_KEY, "Eche", 30);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPassage, EOPassageChevron.C_CHEVRON_KEY, "Chev", 30);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPassage, EOPassageChevron.DUREE_CHEVRON_ANNEES_KEY, "Années", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodPassage, EOPassageChevron.DUREE_CHEVRON_MOIS_KEY, "Mois", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);

		myTableModelPassage = new ZEOTableModel(eodPassage, myCols);
		myTableSorterPassage = new TableSorter(myTableModelPassage);

		myEOTablePassage = new ZEOTable(myTableSorterPassage);
		myTableSorterPassage.setTableHeader(myEOTablePassage.getTableHeader());		

		myEOTablePassage.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTablePassage.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTablePassage.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTablePassages.setLayout(new BorderLayout());
		viewTablePassages.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTablePassages.removeAll();
		viewTablePassages.add(new JScrollPane(myEOTablePassage), BorderLayout.CENTER);

		// Promouvables
		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodProm, "civilite", "Civ", 20);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodProm, "nomUsuel", "Nom", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodProm, "prenom", "Prenom", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodProm, "echelon", "Ech", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodProm, "chevron", "Che", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodProm, "dateEffet", "Date", 75);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodProm, "echelonSuivant", "Ech Suiv", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodProm, "chevronSuivant", "Che Suiv", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodProm, "datePromotion", "Date Prom", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodProm, "lcGrade", "Grade", 75);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

		myTableModelProm = new ZEOTableModel(eodProm, myCols);
		myTableSorterProm = new TableSorter(myTableModelProm);

		myEOTableProm = new ZEOTable(myTableSorterProm);
		myTableSorterProm.setTableHeader(myEOTableProm.getTableHeader());		

		myEOTableProm.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableProm.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableProm.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTablePromouvables.setLayout(new BorderLayout());
		viewTablePromouvables.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTablePromouvables.removeAll();
		viewTablePromouvables.add(new JScrollPane(myEOTableProm), BorderLayout.CENTER);

		
    }

	public ZEOTable getMyEOTableCorps() {
		return myEOTableCorps;
	}

	public void setMyEOTableCorps(ZEOTable myEOTableCorps) {
		this.myEOTableCorps = myEOTableCorps;
	}

	public ZEOTable getMyEOTableGrade() {
		return myEOTableGrade;
	}

	public void setMyEOTableGrade(ZEOTable myEOTableGrade) {
		this.myEOTableGrade = myEOTableGrade;
	}

	public ZEOTable getMyEOTablePassage() {
		return myEOTablePassage;
	}

	public void setMyEOTablePassage(ZEOTable myEOTablePassage) {
		this.myEOTablePassage = myEOTablePassage;
	}

	public ZEOTable getMyEOTableProm() {
		return myEOTableProm;
	}

	public void setMyEOTableProm(ZEOTable myEOTableProm) {
		this.myEOTableProm = myEOTableProm;
	}

	public ZEOTableModel getMyTableModelCorps() {
		return myTableModelCorps;
	}

	public javax.swing.JButton getBtnExporter() {
		return btnExporter;
	}

	public void setBtnExporter(javax.swing.JButton btnExporter) {
		this.btnExporter = btnExporter;
	}

	public javax.swing.JButton getBtnImprimer() {
		return btnImprimer;
	}

	public void setBtnImprimer(javax.swing.JButton btnImprimer) {
		this.btnImprimer = btnImprimer;
	}

	public void setMyTableModelCorps(ZEOTableModel myTableModelCorps) {
		this.myTableModelCorps = myTableModelCorps;
	}

	public ZEOTableModel getMyTableModelGrade() {
		return myTableModelGrade;
	}

	public void setMyTableModelGrade(ZEOTableModel myTableModelGrade) {
		this.myTableModelGrade = myTableModelGrade;
	}

	public ZEOTableModel getMyTableModelPassage() {
		return myTableModelPassage;
	}

	public void setMyTableModelPassage(ZEOTableModel myTableModelPassage) {
		this.myTableModelPassage = myTableModelPassage;
	}

	public ZEOTableModel getMyTableModelProm() {
		return myTableModelProm;
	}

	public void setMyTableModelProm(ZEOTableModel myTableModelProm) {
		this.myTableModelProm = myTableModelProm;
	}

	public javax.swing.JButton getBtnListe() {
		return btnListe;
	}

	public void setBtnListe(javax.swing.JButton btnListe) {
		this.btnListe = btnListe;
	}

	public javax.swing.JButton getBtnPromouvoir() {
		return btnPromouvoir;
	}

	public void setBtnPromouvoir(javax.swing.JButton btnPromouvoir) {
		this.btnPromouvoir = btnPromouvoir;
	}

	public javax.swing.JCheckBox getCheckNonPromus() {
		return checkNonPromus;
	}

	public javax.swing.JButton getBtnImprimerArrete() {
		return btnImprimerArrete;
	}

	public void setBtnImprimerArrete(javax.swing.JButton btnImprimerArrete) {
		this.btnImprimerArrete = btnImprimerArrete;
	}

	public void setCheckNonPromus(javax.swing.JCheckBox checkNonPromus) {
		this.checkNonPromus = checkNonPromus;
	}

	public javax.swing.JLabel getTfMessage() {
		return tfMessage;
	}

	public void setTfMessage(javax.swing.JLabel tfMessage) {
		this.tfMessage = tfMessage;
	}

	public javax.swing.JTextField getTfPeriodeDebut() {
		return tfPeriodeDebut;
	}

	public void setTfPeriodeDebut(javax.swing.JTextField tfPeriodeDebut) {
		this.tfPeriodeDebut = tfPeriodeDebut;
	}

	public javax.swing.JTextField getTfPeriodeFin() {
		return tfPeriodeFin;
	}

	public void setTfPeriodeFin(javax.swing.JTextField tfPeriodeFin) {
		this.tfPeriodeFin = tfPeriodeFin;
	}

	public javax.swing.JComboBox getTypesPeriode() {
		return typesPeriode;
	}

	public void setTypesPeriode(javax.swing.JComboBox typesPeriode) {
		this.typesPeriode = typesPeriode;
	}

    
}
